using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WK5.Core.Basis.Filter;

namespace WK5.Core.PageModels.Admin.Mitarbeiterverwaltung
{
    public class ProvisionsabrechnungInput
    {
        public int VertreterId { get; set; }
        public DateTime Von { get; set; }
        public DateTime Bis { get; set; }
        public bool AufBasisVonRoherlös { get; set; }

        public ProvisionsabrechnungInput()
        {
            DateTime letzterMonat = DateTime.Now.AddMonths(-1);
            Von = new DateTime(letzterMonat.Year, letzterMonat.Month, 1);
            Bis = new DateTime(letzterMonat.Year, letzterMonat.Month, DateTime.DaysInMonth(letzterMonat.Year, letzterMonat.Month));
        }
    }
}
